Bug 1383054 - Please build with --with-x
Summary: Please build with --with-x
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-09 11:02 UTC by Nerijus Baliūnas
Modified: 2017-11-17 09:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 09:12:57 UTC


Attachments (Terms of Use)

Description Nerijus Baliūnas 2016-10-09 11:02:56 UTC
It would be great if you could try to rebuild --with-x and libX11-devel as 
a build dependency (no other changes are needed). This allows mc to use 
X11 to detect some key modifiers if running inside graphical terminal 
emulators (i.e. Meta + Enter).

I'm not quite sure why Fedora people have turned this off. Maybe they 
simply don't understand what it does and believe that this will introduce 
an install-time / run-time dependency on X11. That is not the case, mc 
will be able to install and run without X11 just as before, only in 
addition it will also dynamically load X11 libraries and use them if they 
are available.

Comment 1 Yury V. Zaytsev 2017-01-12 20:42:02 UTC
Anybody?

Comment 2 Fedora End Of Life 2017-11-16 18:58:49 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.